Subject: Problem in multiple selection type attributs
From: Dominique Jouniot <[email-masked]>
To: [email-masked]
Date: Mon, 28 May 2001 20:01:57 +0200

Hello,

I am trying to use the multiple selection type attributs in a Zclass
object definition. I want to use a method who return a list and accept
arguments. The method is sutauted in a subfolder of my main site but not
in the definition of the Zclass Object.

By example :
mainsite ---Family----Object
                  |
                  --parameter---method

The method in parameter return a python list.
 The attribut type multiple selection is in the Object definition
1) I want to know the syntax in the attribut value part i must put to
obtain a result different from no value for xxx
  I try : methods (doesn't work)
            parameter.method (id)
            parameter/method (id)
            /mainsite/parameter/method
            mainsite.parameter.method
 no solution are working !!

2) in reality, i want to complicate the problem, and i want to use a
method in a other type of object (called Critera) which return the list
of values. In thsi case in parametre, i will have a list of Critera
Object.
In that case which is the syntax? is it possible ?

3) has someone an idea how we can dump the contents of the context,
namespace and request of an object (attribut, etc) because this point
seems reaaly difficult to understand in zope.

Thanks for your help

Best regards

Dominique